Data Structure Index

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Structure Index
A | B | C | D | E | F | G | H | I | J | L | M | N | O | P | Q | R | S | T | U | V | W | X | Z | _

A
| _Old_Edje_Part_Collection
_Old_Edje_Part_Description
_Ecore_Audio_Vio | _Old_Edje_Part_Description_Spec_Image
_Ecore_Axis | _parameters_cxx_generic (efl::eolian::grammar)
_Eina_Accessor | _pod_inarray (efl::eina)
_Eina_Array | _ptr_array_access_traits (efl::eina)
_Eldbus_Arg_Info | _ptr_array_common_base (efl::eina)
_Evas_Axis | _ptr_array_common_base::_ptr_array_impl (efl::eina)
B
| _ptr_array_iterator (efl::eina)
_ptr_eo_array_iterator (efl::eina)
_Ecore_Buffer_Backend | _ptr_eo_list_iterator (efl::eina)
_Eina_Bezier | _ptr_list_access_traits (efl::eina)
_EPhysics_Body_Material_Props | _ptr_list_common_base (efl::eina)
C
| _ptr_list_common_base::_ptr_list_impl (efl::eina)
_ptr_list_iterator (efl::eina)
_Ecore_Cocoa_Event_Video_Resize | _ptr_list_iterator_base (efl::eina)
_Ecore_Cocoa_Event_Window | _range_template (efl::eina)
_Ecore_Con_Curl | _return_buffer (efl::ecore)
_Ecore_Con_Event_Client_Add | _return_buffer< void > (efl::ecore)
_Ecore_Con_Event_Client_Data | _scope_guard_head (efl::eolian::grammar)
_Ecore_Con_Event_Client_Del | _scope_guard_tail (efl::eolian::grammar)
_Ecore_Con_Event_Client_Error | _v8_get_current_context (efl::eina::js)
_Ecore_Con_Event_Client_Upgrade | _v8_get_current_context< T, false > (efl::eina::js)
_Ecore_Con_Event_Client_Write | _v8_get_current_context< T, true > (efl::eina::js)
_Ecore_Con_Event_Data_Received | _v8_initialize_icu (efl::eina::js)
_Ecore_Con_Event_Proxy_Bind | _v8_initialize_icu< false > (efl::eina::js)
_Ecore_Con_Event_Server_Add | _v8_initialize_icu< true > (efl::eina::js)
_Ecore_Con_Event_Server_Data | _v8_isolate_throw_exception (efl::eina::js)
_Ecore_Con_Event_Server_Del | _v8_object_internal_field (efl::eina::js)
_Ecore_Con_Event_Server_Error | _v8_object_internal_field< std::false_type > (efl::eina::js)
_Ecore_Con_Event_Server_Upgrade | _v8_object_internal_field< std::true_type > (efl::eina::js)
_Ecore_Con_Event_Server_Write | _void (efl::eet)
_Ecore_Con_Event_Url_Complete |
a
_Ecore_Con_Event_Url_Data
_Ecore_Con_Event_Url_Progress | _eo_array_access_traits (efl::eina)
_Edje_Color_Class | abstract_address_of (efl::eolian::grammar)
_Eina_Clist | abstract_class (eo)
_Eo_Call_Cache | abstract_full_name (efl::eolian::grammar)
_Eo_Call_Cache_Entry | abstract_namespace_type (efl::eolian::grammar)
_Eo_Call_Cache_Index | accessor (efl::eina)
_Eo_Call_Cache_Off | accessor< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type > (efl::eina)
_Eo_Callback_Array_Item | accessor< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type > (efl::eina)
_Eo_Class_Description | accessor_common_base (efl::eina)
_Evas_Cache2 | accessor_iterator (efl::eina)
_Evas_Cache2_Image_Func | accessor_iterator< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type > (efl::eina)
_Evas_Coord_Point | accessor_iterator< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type > (efl::eina)
_Evas_Coord_Precision_Point | add_cast_to_t (efl::eolian::grammar)
_Evas_Coord_Precision_Size | address_of_inheritance (efl::eolian::grammar)
_Evas_Coord_Rectangle | address_of_to_pointer (efl::eolian::grammar)
_Evas_Coord_Size | address_t (efl::eldbus)
_Evas_Cserve_Config | and_ (efl::eina::_mpl)
_Evas_Cserve_Image | and_< B > (efl::eina::_mpl)
_Evas_Cserve_Image_Cache | and_< B1, B2, Bs... > (efl::eina::_mpl)
_Evas_Cserve_Stats | and_<> (efl::eina::_mpl)
CEnumFormatEtc | animator (ecore)
CURLMsg | descriptor_type::push_back::apply (efl::eet::_detail)
Ecore_Cocoa_AppDelegate | method_caller::out_transform::apply (efl::eo::js)
Ecore_Cocoa_Application | raw_tuple< std::tuple< T... > >::push_back::apply (efl::eldbus::_detail)
D
| arg_index (efl::eo::js)
arg_index< In, 0 > (efl::eo::js)
_Ecore_Drm_Device | arguments (efl::eina::_detail)
_Ecore_Drm_Event_Activate | array (efl::eina)
_Ecore_Drm_Event_Output | array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > (efl::eina)
_Ecore_Drm_Fb | eina_array (efl::eina::js)
_Ecore_Drm_Output_Mode | eina_array< _Elm_Calendar_Mark *, js::nonclass_cls_name_getter, _Elm_Calendar_Mark > (efl::eina::js)
_Edje_Data | eina_array< _Elm_Map_Overlay *, js::nonclass_cls_name_getter, _Elm_Map_Overlay > (efl::eina::js)
_Eet_Data_Descriptor_Class | eina_array< _Evas_Textblock_Rectangle *, js::nonclass_cls_name_getter, _Evas_Textblock_Rectangle > (efl::eina::js)
_Efreet_Desktop | eina_array< Elm_Gen_Item *, js::nonclass_cls_name_getter, Elm_Gen_Item > (efl::eina::js)
_Efreet_Desktop_Action |
b
_Eo_Dbg_Info
DataObject | base (efl::gfx::gradient)
DropSource | base (efl::model)
DropTarget | base (eo)
E
| base (efl::gfx)
base (efl::vg)
_Ecore_Evas_Engine_Buffer_Data | basic_string_view (efl::eina)
_Ecore_Evas_Interface_Cocoa | box (evas)
_Ecore_Evas_Interface_Drm |
c
_Ecore_Evas_Interface_Extn
_Ecore_Evas_Interface_Gl_X11 | _ecore_cocoa_keys_s
_Ecore_Evas_Interface_Software_X11 | c_type (efl::eolian::grammar)
_Ecore_Evas_Interface_Wayland | constructor_caller::call (efl::eo::js)
_Ecore_Evas_Interface_Win32 | callback_args_type (efl::eolian)
_Ecore_Evas_Interface_X11 | callback_args_type< R(*)(Args...)> (efl::eolian)
_Ecore_Event_Axis_Update | callback_parameter_free_ev_add (efl::eolian::grammar)
_Ecore_Event_Key | callback_result_type (efl::eolian)
_Ecore_Event_Modifiers | callback_result_type< R(*)(Args...)> (efl::eolian)
_Ecore_Event_Mouse_Button | callback_tmp (efl::eolian::grammar)
_Ecore_Event_Mouse_IO | callbacks_heap_alloc (efl::eolian::grammar)
_Ecore_Event_Mouse_Move | camera (evas::canvas3d)
_Ecore_Event_Mouse_Wheel | canvas (evas)
_Ecore_Event_Signal_Exit | cclass
_Ecore_Event_Signal_Hup | class_implicit_conversion_declaration (efl::eolian::grammar)
_Ecore_Event_Signal_Power | class_implicit_conversion_definition (efl::eolian::grammar)
_Ecore_Event_Signal_Realtime | class_inheritance (efl::eolian::grammar)
_Ecore_Event_Signal_User | class_name (efl::eolian::grammar)
_Ecore_Exe_Event_Add | clickable_interface (evas)
_Ecore_Exe_Event_Data | clone_allocator_deleter (efl::eina)
_Ecore_Exe_Event_Data_Line | cls_name_getter_base (efl::eina::js)
_Ecore_Exe_Event_Del | cls_name_getter_generated_base (efl::eina::js)
_Edje_Edit_Limit | cname
_Edje_Edit_Script_Error | comment (efl::eolian::grammar)
_Edje_Entry_Change_Info | comment_constructor_with_constructor_methods (efl::eolian::grammar)
_Edje_External_Param | common_interface (evas)
_Edje_External_Param_Info | compatibility_handle_scope_impl (efl::eina::js)
_Edje_External_Type | compatibility_handle_scope_impl< T, false > (efl::eina::js)
_Edje_External_Type_Info | compatibility_handle_scope_impl< T, true > (efl::eina::js)
_Eet_Entry | compatibility_string (efl::eina::js)
_Eeze_Event_Disk | compatibility_string< false > (efl::eina::js)
_Eeze_Event_Disk_Error | compatibility_string< true > (efl::eina::js)
_Efreet_Event_Cache_Update | compatibility_type_tag (efl::eina::js)
_Eina_Evlog_Buf | complex_tag (efl::eina::js)
_Eina_Evlog_Item | concat (efl::eina)
_Eldbus_Error_Info | concat (efl::eldbus::_detail)
_Emotion_Engine | concat< integer_sequence< T, I1... >, integer_sequence< T, I2... > > (efl::eina)
_Eo_Event_Description | concat< integer_sequence< T, I1... >, integer_sequence< T, I2... > > (efl::eldbus::_detail)
_Evas_Engine_Info | concrete (efl::eo)
_Evas_Event_Axis_Update | concrete_address_const_of (efl::eo::detail)
_Evas_Event_Hold | concrete_address_of (efl::eo::detail)
_Evas_Event_Key_Down | concrete_address_of (efl::eolian::grammar)
_Evas_Event_Key_Up | concrete_eo_ptr_getter (efl::eolian::grammar)
_Evas_Event_Mouse_Down | condition_variable (efl::eina)
_Evas_Event_Mouse_In | connection (efl::eldbus)
_Evas_Event_Mouse_Move | const_char_type (efl::eldbus::service::_detail)
_Evas_Event_Mouse_Out | _eo_list_access_traits::const_iterator (efl::eina)
_Evas_Event_Mouse_Up | _eo_array_access_traits::const_iterator (efl::eina)
_Evas_Event_Mouse_Wheel | _ptr_array_access_traits::const_iterator (efl::eina)
_Evas_Event_Multi_Down | _ptr_list_access_traits::const_iterator (efl::eina)
_Evas_Event_Multi_Move | _inarray_access_traits::const_iterator (efl::eina)
_Evas_Event_Multi_Up | _inlist_access_traits::const_iterator (efl::eina)
_Evas_Event_Render_Post | const_message (efl::eldbus)
EcoreCocoaWindow | _inarray_access_traits::const_native_handle (efl::eina)
Efl_Model_Children_Event | _ptr_array_access_traits::const_native_handle (efl::eina)
Eolian_Value_Union | _ptr_list_access_traits::const_native_handle (efl::eina)
F
| _inlist_access_traits::const_native_handle (efl::eina)
const_pending (efl::eldbus)
_Eina_File | constructor_caller (efl::eo::js)
_Eina_File_Direct_Info | constructor_eo (efl::eolian::grammar)
_Eina_File_Line | constructor_functor_type_decl (efl::eolian::grammar)
_Eina_File_Map | constructor_functor_type_name (efl::eolian::grammar)
Embryo_Float_Cell | constructor_method_function_declarations (efl::eolian::grammar)
FunctionCallbackInfo (v8) | constructor_method_function_definitions (efl::eolian::grammar)
G
| constructor_with_constructor_methods (efl::eolian::grammar)
constructors_with_constructor_methods (efl::eolian::grammar)
_Ecore_Getopt | container (efl::vg)
_Ecore_Getopt_Desc | container_value_type (efl::eina)
_Ecore_Getopt_Desc_Callback | container_wrapper (efl::eina::js)
_Ecore_Getopt_Desc_Store | control (efl)
_Ecore_Getopt_Value | copy_constructor (efl::eolian::grammar)
_Evas_GL_API | critical_t (efl::eina::log_level)
_Evas_GL_Config | cset
H
| curl_slist
curl_version_info_data
_Eina_Hash_Tuple | eina_container_base (efl::eina::js)
I
| eina_container_common (efl::eina::js)
eina_container_type_specific (efl::eina::js)
_Ecore_IMF_Context_Class | eo_class (efl::eolian)
_Ecore_IMF_Context_Info | eo_class_getter (efl::eolian::grammar)
_Ecore_IMF_Event | eo_clone_allocator (efl::eina)
_Ecore_IMF_Event_Commit | eo_constructor (efl::eolian)
_Ecore_IMF_Event_Delete_Surrounding |
d
_Ecore_IMF_Event_Key_Down
_Ecore_IMF_Event_Key_Up | debug_t (efl::eina::log_level)
_Ecore_IMF_Event_Mouse_Down | default_domain (efl::eina)
_Ecore_IMF_Event_Mouse_In | descriptor (efl::eet)
_Ecore_IMF_Event_Mouse_Move | descriptor_type (efl::eet::_detail)
_Ecore_IMF_Event_Mouse_Out | destructor (efl::eolian::grammar)
_Ecore_IMF_Event_Mouse_Up | dirent
_Ecore_IMF_Event_Mouse_Wheel | draggable_interface (evas)
_Ecore_IMF_Event_Preedit_Changed | dumpinfo
_Ecore_IMF_Event_Preedit_End |
e
_Ecore_IMF_Event_Preedit_Start
_Ecore_IMF_Event_Selection | edit (edje)
_Ecore_IMF_Preedit_Attr | empty_container_base (efl::eina::js)
_Ecore_Ipc_Event_Client_Add | is_representable_as_v8_integer< T, typename std::enable_if< std::is_integral< T >::value &&(sizeof(T)<=sizeof(int32_t))>::type > (efl::eina::js::detail)
_Ecore_Ipc_Event_Client_Data | enterer (ecore::idle)
_Ecore_Ipc_Event_Client_Del | eo_event (efl::eolian)
_Ecore_Ipc_Event_Server_Add | eolian_init (efl::eolian)
_Ecore_Ipc_Event_Server_Data | eolian_type (efl::eolian)
_Ecore_Ipc_Event_Server_Del | eolian_type_instance (efl::eolian)
_Eina_Inarray | error_category (efl::eina)
_Eina_Inlist | error_t (efl::eina::log_level)
_Eina_Iterator | error_t (efl::eldbus)
_Eldbus_Introspection_Annotation | event_callback_add (efl::eolian::grammar)
_Eldbus_Introspection_Argument | event_callback_call (efl::eolian::grammar)
_Eldbus_Introspection_Interface | event_callback_information (efl::eo::js)
_Eldbus_Introspection_Method | event_information (efl::eo::js)
_Eldbus_Introspection_Node | events (efl::eolian::grammar)
_Eldbus_Introspection_Property | exe (ecore)
_Eldbus_Introspection_Signal | exiter (ecore::idle)
_Evas_Image_Load_Func | extension_inheritance (efl::eo::detail)
Efreet_Icon | extension_inheritance< concrete > (efl::eo::detail)
Efreet_Icon_Point |
f
Efreet_Icon_Theme
Efreet_Icon_Theme_Directory | eo_function (efl::eolian)
Efreet_Ini | file (efl)
L
| fill (efl::gfx)
rob_private_member::filler (efl::eina::js)
_Eina_Lines_Iterator | filter (evas)
_Eina_List | filter (efl::gfx)
_Eina_List_Accounting | flock
_Eina_Log_Domain | fold (efl::eina::_mpl)
_Eo_Lexer | fold_impl (efl::eina::_mpl)
_Eo_Lexer_Temps | fold_impl< T, F, A0, true > (efl::eina::_mpl)
M
| full_name (efl::eolian::grammar)
function_call (efl::eolian::grammar)
_Edje_Message_Float | function_call_constructor_methods (efl::eolian::grammar)
_Edje_Message_Float_Set | function_declaration (efl::eolian::grammar)
_Edje_Message_Int | function_declarations (efl::eolian::grammar)
_Edje_Message_Int_Set | function_definition (efl::eolian::grammar)
_Edje_Message_String | function_definitions (efl::eolian::grammar)
_Edje_Message_String_Float | function_params (efl::eina::_mpl)
_Edje_Message_String_Float_Set | function_params< R(*)(P...)> (efl::eina::_mpl)
_Edje_Message_String_Int | function_return (efl::eina::_mpl)
_Edje_Message_String_Int_Set | function_return< R(*)(P...)> (efl::eina::_mpl)
_Edje_Message_String_Set | functors_constructor_methods (efl::eolian::grammar)
_Eina_Matrix2 |
g
_Eina_Matrix3
_Eina_Matrix3_F16p16 | eo_generator_options (efl::eolian)
_Eina_Matrix4 | gen_seq (efl::eldbus::_detail)
_Eio_Monitor_Error | gen_seq (efl::eina)
_Eio_Monitor_Event | gen_seq< std::size_t, 0 > (efl::eina)
_Eldbus_Method | gen_seq< std::size_t, 0 > (efl::eldbus::_detail)
_Eldbus_Method2 | gen_seq< std::size_t, 1 > (efl::eldbus::_detail)
_Emotion_Module_Options | gen_seq< std::size_t, 1 > (efl::eina)
_Evas_Model_Load_Save_Data | global_domain (efl::eina)
_Evas_Model_Load_Save_Header | global_ref (efl::eina::js)
_Evas_Model_Load_Save_Stride | gradient (efl::vg)
_Evas_Module | gradient_linear (efl::vg)
_Evas_Module_Api | gradient_radial (efl::vg)
Efreet_Menu | grid (evas)
MD5Context |
h
N
hack_private_member (efl::eina::js)
_Eet_Node_Data | hash< ::efl::eina::thread_id > (std)
_Eet_Node_Walk | heap_clone_allocator (efl::eina)
_Evas_Native_Surface | heap_copy_allocator (efl::eina)
O
| heap_no_copy_allocator (efl::eina)
i
_Eldbus_Object_Event_Interface_Added
_Eldbus_Object_Event_Interface_Removed | ecore_init (efl::ecore)
_Eldbus_Object_Event_Property_Changed | eet_init (efl::eet)
_Eldbus_Object_Event_Property_Removed | eina_init (efl::eina)
_Eo_Op_Call_Data | eldbus_init (efl::eldbus)
_Eo_Op_Description | eo_init (efl::eo)
_Evas_Object_Box_Api | idler (ecore)
_Evas_Object_Box_Data | if_ (efl::eina)
_Evas_Object_Box_Option | if_c (efl::eina)
_Evas_Object_Smart_Clipped_Data | if_c< false, T, F > (efl::eina)
P
| image (efl)
image (evas)
_Ecore_Psl1ght_Event_Key_Down | inarray (efl::eina)
_Ecore_Psl1ght_Event_Key_Modifiers | include_dependencies (efl::eolian::grammar)
_Ecore_Psl1ght_Event_Key_Up | indirect_is_contiguous_iterator (efl::eina)
_Ecore_Psl1ght_Event_Mouse_Button_Down | indirect_is_contiguous_iterator< std::vector< char >::const_iterator > (efl::eina)
_Ecore_Psl1ght_Event_Mouse_Button_Up | indirect_is_contiguous_iterator< std::vector< char >::iterator > (efl::eina)
_Ecore_Psl1ght_Event_Mouse_Move | info_t (efl::eina::log_level)
_Ecore_Psl1ght_Event_Mouse_Wheel | inherit (efl::eo)
_Edje_Part_Image_Use | inheritance_base_operations (efl::eolian::grammar)
_Eina_Point_3D | inheritance_base_operations_extensions (efl::eolian::grammar)
_Eina_Point_3D_F16p16 | inheritance_base_operations_function (efl::eolian::grammar)
_Eio_Progress | inheritance_base_operations_size (efl::eolian::grammar)
_Eldbus_Property | inheritance_eo_class_getter (efl::eolian::grammar)
_Eldbus_Proxy_Event_Property_Changed | inheritance_operation (efl::eolian::grammar)
_Eldbus_Proxy_Event_Property_Loaded | inheritance_operations_description (efl::eolian::grammar)
_Eldbus_Proxy_Event_Property_Removed | inheritance_wrappers (efl::eolian::grammar)
_Evas_Pixel_Import_Source | inlist (efl::eina)
_Evas_Point | input (efl::eo::js)
_Evas_Position | input_output (efl::eo::js)
_Evas_Precision_Position | ins (efl::eldbus::service)
PropertyCallbackInfo (v8) | integer_sequence (efl::eina)
Q
| integer_sequence (efl::eldbus::_detail)
is_base_of< ::efl::eo::concrete, const ::Eo > (std)
_Eina_Quad | is_base_of< ::efl::eo::concrete, const volatile::Eo > (std)
_Eina_Quaternion | is_base_of< ::efl::eo::concrete, volatile::Eo > (std)
_Eina_Quaternion_F16p16 | is_base_of< ::efl::eo::concrete,::Eo > (std)
_EPhysics_Quaternion | is_base_of< const ::efl::eo::concrete, const ::Eo > (std)
R
| is_base_of< const ::efl::eo::concrete, const volatile::Eo > (std)
is_base_of< const ::efl::eo::concrete, volatile::Eo > (std)
_Eina_Rbtree | is_base_of< const ::efl::eo::concrete,::Eo > (std)
_Eina_Rectangle | is_complex_tag (efl::eina::js)
S
| is_complex_tag< complex_tag< T... > > (efl::eina::js)
is_contiguous_iterator (efl::eina)
_Ecore_Sdl_Event_Key_Down | is_contiguous_iterator< std::string::const_iterator > (efl::eina)
_Ecore_Sdl_Event_Key_Up | is_contiguous_iterator< std::string::iterator > (efl::eina)
_Ecore_Sdl_Event_Mouse_Button_Down | is_contiguous_iterator< stringshare::const_iterator > (efl::eina)
_Ecore_Sdl_Event_Mouse_Button_Up | is_eet_primitive (efl::eet)
_Ecore_Sdl_Event_Mouse_Move | is_eet_primitive< T, typename _void< typename _eet_type< T >::type >::type > (efl::eet)
_Ecore_Sdl_Event_Mouse_Wheel | is_error_code_enum< ::efl::eina::error_type > (std)
_Ecore_Sdl_Event_Video_Resize | is_error_condition_enum< ::efl::eina::error_type > (std)
_Ecore_Sdl_Event_Window | is_handable_by_value (efl::eina::js)
_Edje_Size_Class | is_in (efl::eo::js)
_Eeze_Sensor_Obj | method_caller::is_inout (efl::eo::js)
_Eina_Simple_XML_Attribute | method_caller::is_out (efl::eo::js)
_Eina_Simple_XML_Node | is_representable_as_v8_integer (efl::eina::js::detail)
_Eina_Simple_XML_Node_Data | is_struct_ptr_tag (efl::eina::js)
_Eina_Simple_XML_Node_Tag | is_struct_ptr_tag< struct_ptr_tag< T > > (efl::eina::js)
_Eina_Stat | is_struct_tag (efl::eina::js)
_Eina_Strbuf | is_struct_tag< struct_tag< T > > (efl::eina::js)
_Eldbus_Service_Interface_Desc | is_type_tag (efl::eina::js)
_Eldbus_Service_Interface_Desc2 | _eo_list_access_traits::iterator (efl::eina)
_Eldbus_Signal | _inarray_access_traits::iterator (efl::eina)
_Evas_Smart_Cb_Description | _inlist_access_traits::iterator (efl::eina)
_Evas_Smart_Class | _ptr_list_access_traits::iterator (efl::eina)
_Evas_Smart_Interface | _ptr_array_access_traits::iterator (efl::eina)
T
| _eo_array_access_traits::iterator (efl::eina)
iterator (efl::eina)
_Edje_Text_Class | ivi_surface_listener
_Eina_Thread_Queue_Msg |
j
_Eina_Thread_Queue_Msg_Sub
_Eina_Trash | job (ecore)
_Eo_Token |
l
_Evas_Textblock_Rectangle
_Evas_Textgrid_Cell | _eo_list_access_traits (efl::eina)
Eina_Tile_Grid_Info | eina_list (efl::eina::js)
Eo_Token_Union | eina_list< _Elm_Calendar_Mark *, js::nonclass_cls_name_getter, _Elm_Calendar_Mark > (efl::eina::js)
U
| eina_list< _Elm_Map_Overlay *, js::nonclass_cls_name_getter, _Elm_Map_Overlay > (efl::eina::js)
eina_list< _Evas_Textblock_Rectangle *, js::nonclass_cls_name_getter, _Evas_Textblock_Rectangle > (efl::eina::js)
Efreet_Uri | eina_list< Elm_Gen_Item *, js::nonclass_cls_name_getter, Elm_Gen_Item > (efl::eina::js)
UniquePersistent (v8) | light (evas::canvas3d)
V
| line (evas)
linear (efl::gfx::gradient)
_Ecore_Version | list (efl::eina)
_Edje_Version | list< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > (efl::eina)
_Eet_Version | log_domain (efl::eina)
_Eeze_Version |
m
_Efreet_Version
_Eina_Value | make_tag_traits (efl::eina::js)
_Eina_Value_Array | malloc_clone_allocator (efl::eina)
_Eina_Value_Blob | material (evas::canvas3d)
_Eina_Value_Blob_Operations | member_desc_info (efl::eet::_detail)
_Eina_Value_Hash | member_info (efl::eet::_detail)
_Eina_Value_List | member_info< F, void > (efl::eet::_detail)
_Eina_Value_Struct | member_type (efl::eet::_detail)
_Eina_Value_Struct_Desc | member_type< T(U::*)> (efl::eet::_detail)
_Eina_Value_Struct_Member | mesh (evas::canvas3d)
_Eina_Value_Struct_Operations | message (efl::eldbus)
_Eina_Value_Type | message_iterator (efl::eldbus)
_Eina_Value_Union | message_value (efl::eldbus)
_Eina_Vector2 | method_call_t (efl::eldbus)
_Eina_Version | method_caller (efl::eo::js)
_Eio_Version | method_specification (efl::eldbus::service)
_Eldbus_Version | model (eio)
_Embryo_Version | model_arguments (eldbus)
_Emotion_Version | model_connection (eldbus)
_Evas_Version | model_method (eldbus)
_Evas_Video_Surface | model_object (eldbus)
W
| model_proxy (eldbus)
model_signal (eldbus)
_Ecore_Win32_Event_Mouse_In | moveContext
_Ecore_Win32_Event_Mouse_Out | mutex (efl::eina)
_Ecore_Win32_Event_Selection_Clear |
n
_Ecore_Win32_Event_Selection_Notify
_Ecore_Win32_Event_Window_Configure | name_upper (efl::eolian::grammar)
_Ecore_Win32_Event_Window_Create | namespace_head (efl::eolian::grammar)
_Ecore_Win32_Event_Window_Damage | namespace_tail (efl::eolian::grammar)
_Ecore_Win32_Event_Window_Delete_Request | _inlist_access_traits::native_handle (efl::eina)
_Ecore_Win32_Event_Window_Destroy | _inarray_access_traits::native_handle (efl::eina)
_Ecore_Win32_Event_Window_Focus_In | _ptr_array_access_traits::native_handle (efl::eina)
_Ecore_Win32_Event_Window_Focus_Out | _ptr_list_access_traits::native_handle (efl::eina)
_Ecore_Win32_Event_Window_Hide | node (evas::canvas3d)
_Ecore_Win32_Event_Window_Resize | nonclass_cls_name_getter (efl::eina::js)
_Ecore_Win32_Event_Window_Show | nonconst_container_value_type (efl::eina)
_Ecore_Wl2_Event_Data_Source_Cancelled |
o
_Ecore_Wl2_Event_Data_Source_Send
_Ecore_Wl2_Event_Data_Source_Target | object (edje)
_Ecore_Wl2_Event_Dnd_Drop | object (efl::eldbus)
_Ecore_Wl2_Event_Dnd_End | object (evas::canvas3d)
_Ecore_Wl2_Event_Dnd_Enter | object (evas)
_Ecore_Wl2_Event_Dnd_Leave | object_smart (evas)
_Ecore_Wl2_Event_Dnd_Motion | object_type (efl::eet::_detail)
_Ecore_Wl2_Event_Focus_In | object_type< T(U::*)> (efl::eet::_detail)
_Ecore_Wl2_Event_Focus_Out | operation_description_index (efl::eo::detail)
_Ecore_Wl2_Event_Global | operation_description_index< 0u, E... > (efl::eo::detail)
_Ecore_Wl2_Event_Selection_Data_Ready | operation_description_size (efl::eo::detail)
_Ecore_Wl2_Event_Sync_Done | operation_description_size< E0, E... > (efl::eo::detail)
_Ecore_Wl2_Event_Window_Configure | operation_description_size<> (efl::eo::detail)
_Ecore_Wl2_Global | optional (efl::eina)
_Ecore_Wl_Event_Data_Source_Cancelled | or_ (efl::eina::_mpl)
_Ecore_Wl_Event_Data_Source_Send | or_< B > (efl::eina::_mpl)
_Ecore_Wl_Event_Data_Source_Target | or_< B1, B2, Bs... > (efl::eina::_mpl)
_Ecore_Wl_Event_Dnd_Drop | or_<> (efl::eina::_mpl)
_Ecore_Wl_Event_Dnd_End | out (evas)
_Ecore_Wl_Event_Dnd_Enter | method_caller::out_transform (efl::eo::js)
_Ecore_Wl_Event_Dnd_Leave | output (efl::eo::js)
_Ecore_Wl_Event_Dnd_Position | outs (efl::eldbus::service)
_Ecore_Wl_Event_Focus_In |
p
_Ecore_Wl_Event_Focus_Out
_Ecore_Wl_Event_Interfaces_Bound | _ecore_psl1ght_keys_s
_Ecore_Wl_Event_Mouse_In | eo_parameter (efl::eolian)
_Ecore_Wl_Event_Mouse_Out | param_data (efl::eolian::grammar)
_Ecore_Wl_Event_Selection_Data_Ready | parameter_forward (efl::eolian::grammar)
_Ecore_Wl_Event_Window_Configure | parameter_no_ref_type (efl::eolian::grammar)
_Ecore_Wl_Global | parameter_remove_reference_typedef (efl::eolian::grammar)
Ecore_Win32_Cursor_X11_Data | parameter_type (efl::eolian::grammar)
X
| parameters_c_declaration (efl::eolian::grammar)
parameters_c_list (efl::eolian::grammar)
_Ecore_X_Event_Client_Message | parameters_c_names (efl::eolian::grammar)
_Ecore_X_Event_Damage | parameters_cxx_list (efl::eolian::grammar)
_Ecore_X_Event_Desktop_Change | parameters_declaration (efl::eolian::grammar)
_Ecore_X_Event_Fixes_Selection_Notify | parameters_forward (efl::eolian::grammar)
_Ecore_X_Event_Frame_Extents_Request | parameters_forward_to_c (efl::eolian::grammar)
_Ecore_X_Event_Generic | parameters_names (efl::eolian::grammar)
_Ecore_X_Event_Gesture_Notify_Flick | parameters_types (efl::eolian::grammar)
_Ecore_X_Event_Gesture_Notify_Group | parent (ecore)
_Ecore_X_Event_Gesture_Notify_Hold | parent_expr (efl::eo)
_Ecore_X_Event_Gesture_Notify_Pan | parent_type (efl::eo)
_Ecore_X_Event_Gesture_Notify_PinchRotation | passwd
_Ecore_X_Event_Gesture_Notify_Tap | pending (efl::eldbus)
_Ecore_X_Event_Gesture_Notify_TapNHold | persistent_base_new (efl::eina::js)
_Ecore_X_Event_Mapping_Change | player (efl)
_Ecore_X_Event_Mouse_In | poller (ecore)
_Ecore_X_Event_Mouse_Out | polygon (evas)
_Ecore_X_Event_Ping | pop_front (efl::eina::_mpl)
_Ecore_X_Event_Randr_Crtc_Change | pop_front< C< T, Args... >, 1 > (efl::eina::_mpl)
_Ecore_X_Event_Randr_Output_Change | pop_integer_sequence_t (efl::eina)
_Ecore_X_Event_Randr_Output_Property_Notify | pop_integer_sequence_t< integer_sequence< T >, integer_sequence< T > > (efl::eina)
_Ecore_X_Event_Screen_Change | pop_integer_sequence_t< integer_sequence< T >, integer_sequence< T, S0, S... > > (efl::eina)
_Ecore_X_Event_Screensaver_Notify | pop_integer_sequence_t< integer_sequence< T, S, Ss1... >, integer_sequence< T, S, Ss2... > > (efl::eina)
_Ecore_X_Event_Selection_Clear | pop_integer_sequence_t< integer_sequence< T, S0, S... >, integer_sequence< T > > (efl::eina)
_Ecore_X_Event_Selection_Notify | primitive (evas::canvas3d)
_Ecore_X_Event_Selection_Request | print_tag (efl::eina::js)
_Ecore_X_Event_Startup_Sequence | proxy (efl::eldbus)
_Ecore_X_Event_Sync_Alarm | ptr_array (efl::eina)
_Ecore_X_Event_Sync_Counter | ptr_list (efl::eina)
_Ecore_X_Event_Window_Colormap | raw_tuple< std::tuple< T... > >::push_back (efl::eldbus::_detail)
_Ecore_X_Event_Window_Configure | push_back (efl::eina::_mpl)
_Ecore_X_Event_Window_Configure_Request | descriptor_type::push_back (efl::eet::_detail)
_Ecore_X_Event_Window_Create | push_back< C< Args... >, AArgs... > (efl::eina::_mpl)
_Ecore_X_Event_Window_Damage | push_front (efl::eina::_mpl)
_Ecore_X_Event_Window_Delete_Request | push_front< C< Args... >, AArgs... > (efl::eina::_mpl)
_Ecore_X_Event_Window_Destroy |
r
_Ecore_X_Event_Window_Focus_In
_Ecore_X_Event_Window_Focus_Out | radial (efl::gfx::gradient)
_Ecore_X_Event_Window_Gravity | range_array (efl::eina)
_Ecore_X_Event_Window_Hide | range_array< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > (efl::eina)
_Ecore_X_Event_Window_Keymap | range_eina_array (efl::eina::js)
_Ecore_X_Event_Window_Move_Resize_Request | range_eina_array< _Elm_Calendar_Mark *, js::nonclass_cls_name_getter, _Elm_Calendar_Mark > (efl::eina::js)
_Ecore_X_Event_Window_Prop_Client_Machine_Change | range_eina_array< _Elm_Map_Overlay *, js::nonclass_cls_name_getter, _Elm_Map_Overlay > (efl::eina::js)
_Ecore_X_Event_Window_Prop_Desktop_Change | range_eina_array< _Evas_Textblock_Rectangle *, js::nonclass_cls_name_getter, _Evas_Textblock_Rectangle > (efl::eina::js)
_Ecore_X_Event_Window_Prop_Icon_Name_Change | range_eina_array< Elm_Gen_Item *, js::nonclass_cls_name_getter, Elm_Gen_Item > (efl::eina::js)
_Ecore_X_Event_Window_Prop_Name_Class_Change | range_eina_list (efl::eina::js)
_Ecore_X_Event_Window_Prop_Pid_Change | range_eina_list< _Elm_Calendar_Mark *, js::nonclass_cls_name_getter, _Elm_Calendar_Mark > (efl::eina::js)
_Ecore_X_Event_Window_Prop_Title_Change | range_eina_list< _Elm_Map_Overlay *, js::nonclass_cls_name_getter, _Elm_Map_Overlay > (efl::eina::js)
_Ecore_X_Event_Window_Prop_Visible_Icon_Name_Change | range_eina_list< _Evas_Textblock_Rectangle *, js::nonclass_cls_name_getter, _Evas_Textblock_Rectangle > (efl::eina::js)
_Ecore_X_Event_Window_Prop_Visible_Title_Change | range_eina_list< Elm_Gen_Item *, js::nonclass_cls_name_getter, Elm_Gen_Item > (efl::eina::js)
_Ecore_X_Event_Window_Property | range_inarray (efl::eina)
_Ecore_X_Event_Window_Reparent | range_inlist (efl::eina)
_Ecore_X_Event_Window_Resize_Request | range_list (efl::eina)
_Ecore_X_Event_Window_Shape | range_list< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > (efl::eina)
_Ecore_X_Event_Window_Show | range_ptr_array (efl::eina)
_Ecore_X_Event_Window_Show_Request | range_ptr_list (efl::eina)
_Ecore_X_Event_Window_Stack | raw_tuple (efl::eldbus::_detail)
_Ecore_X_Event_Window_Stack_Request | raw_tuple< std::tuple< T... > > (efl::eldbus::_detail)
_Ecore_X_Event_Window_State_Request | re_guts
_Ecore_X_Event_Window_Visibility_Change | rectangle (evas)
_Ecore_X_Event_Xdnd_Drop | regex_t
_Ecore_X_Event_Xdnd_Enter | regmatch_t
_Ecore_X_Event_Xdnd_Finished | reinterpret_type (efl::eolian::grammar)
_Ecore_X_Event_Xdnd_Leave | remove_tag (efl::eina::js)
_Ecore_X_Event_Xdnd_Position | remove_tag< complex_tag< T, U... > > (efl::eina::js)
_Ecore_X_Event_Xdnd_Status | remove_tag< struct_ptr_tag< T > > (efl::eina::js)
_Ecore_X_Event_Xkb | remove_tag< struct_tag< T > > (efl::eina::js)
_Ecore_X_Icon | reply_t (efl::eldbus)
_Ecore_X_Randr_Crtc_Gamma_Info | rob_private_member (efl::eina::js)
_Ecore_X_Randr_Crtc_Info | root_node (efl::vg)
_Ecore_X_Randr_Mode_Info |
s
_Ecore_X_Randr_Screen_Size
_Ecore_X_Randr_Screen_Size_MM | _ecore_sdl_keys_s
_Ecore_X_Rectangle | scene (evas::canvas3d)
_Ecore_X_Selection_Data | scoped_signal_connection (efl::eo)
_Ecore_X_Selection_Data_Files | scrollable_interface (evas)
_Ecore_X_Selection_Data_Targets | selectable_interface (evas)
_Ecore_X_Selection_Data_Text | service_interface (efl::eldbus)
_Ecore_X_Selection_Data_X_Moz_Url | session_t (efl::eldbus)
_Ecore_X_Version | shape (efl::gfx)
_Ecore_X_Window_Attributes | shape (efl::vg)
_Ecore_X_Xdnd_Position | signal_connection (efl::eo)
_Eina_Xattr | signal_interface (evas)
Ecore_X_Event_Present_Complete | signature_size (efl::eldbus::_detail)
Ecore_X_Event_Present_Configure | signature_size_impl (efl::eldbus::_detail)
Ecore_X_Event_Present_Idle | signature_size_impl< T, eina::index_sequence< S... > > (efl::eldbus::_detail)
Ecore_X_Present | signature_traits (efl::eldbus::_detail)
Efreet_Xml | signature_traits< bool > (efl::eldbus::_detail)
Efreet_Xml_Attribute | signature_traits< char > (efl::eldbus::_detail)
_
| signature_traits< double > (efl::eldbus::_detail)
signature_traits< int16_t > (efl::eldbus::_detail)
_Atom_Item | signature_traits< int32_t > (efl::eldbus::_detail)
_Box | signature_traits< int64_t > (efl::eldbus::_detail)
_common_iterator_base (efl::eina) | signature_traits< std::string > (efl::eldbus::_detail)
_const_range_template (efl::eina) | signature_traits< T const > (efl::eldbus::_detail)
_data (efl::ecore) | signature_traits< uint16_t > (efl::eldbus::_detail)
_domain_base (efl::eina) | signature_traits< uint32_t > (efl::eldbus::_detail)
_Ector_Generic_Buffer_Data | signature_traits< uint64_t > (efl::eldbus::_detail)
_Ector_GL_API | smart_clipped (evas)
_Ector_GL_Buffer_Base_Data | stack (efl::gfx)
_Ector_Software_Buffer_Base_Data | start_t (efl::eldbus)
_Efl_Gfx_Color | steal_stringshare_ref_t (efl::eina)
_Efl_Gfx_Dash | stringshare (efl::eina)
_Efl_Gfx_Gradient_Stop | struct_ptr_tag (efl::eina::js)
_Efl_Gfx_Shape_Public | struct_tag (efl::eina::js)
_Efl_Gfx_Stroke | system_t (efl::eldbus)
_Efl_Model_Children_Event |
t
_Efl_Model_Load
_Efl_Model_Property_Event | _eet_type (efl::eet)
_Elocation_Accuracy | _eet_type< char * > (efl::eet)
_Elocation_Address | _eet_type< char > (efl::eet)
_Elocation_Position | _eet_type< double > (efl::eet)
_Elocation_Requirements | _eet_type< eina::value > (efl::eet)
_Elocation_Velocity | _eet_type< float > (efl::eet)
_Emile_Image_Animated | _eet_type< int > (efl::eet)
_Emile_Image_Load_Opts | _eet_type< long long > (efl::eet)
_Emile_Image_Property | _eet_type< short > (efl::eet)
_Eolian_Class | _eet_type< unsigned char > (efl::eet)
_Eolian_Constructor | _eet_type< unsigned int > (efl::eet)
_Eolian_Declaration | _eet_type< unsigned long long > (efl::eet)
_Eolian_Documentation | _eet_type< unsigned short > (efl::eet)
_Eolian_Enum_Type_Field | _eet_type< void * > (efl::eet)
_Eolian_Event | eina_threads_init (efl::eina)
_Eolian_Expression | tab (efl::eolian::grammar)
_Eolian_Function | table (evas)
_Eolian_Function_Parameter | tag (efl::eolian)
_Eolian_Implement | tag (efl::eldbus::_detail)
_Eolian_Object | template_parameter_type (efl::eolian::grammar)
_Eolian_Struct_Type_Field | template_parameters_declaration (efl::eolian::grammar)
_Eolian_Type | text (evas)
_Eolian_Value | text (efl)
_Eolian_Variable | text_properties (efl)
_Ethumb_Plugin | textblock (evas)
_Ethumb_Version | textgrid (evas)
_event_deleter (efl::eo) | texture (evas::canvas3d)
_Geo_Clue2_Client_LocationUpdated_Data | thread (efl::eina)
_identity (efl::ecore) | thread_id (efl::eina)
_inarray_access_traits (efl::eina) | timer (ecore)
_inarray_common_base (efl::eina) | to_c (efl::eolian::grammar)
_inlist_access_traits (efl::eina) | to_cxx (efl::eolian::grammar)
_inlist_common_base (efl::eina) | traits (efl::eolian)
_inlist_common_base::_inlist_impl (efl::eina) | traits< T, typename std::enable_if< std::is_base_of< std::basic_string< char >, T >::value >::type > (efl::eolian)
_inlist_iterator (efl::eina) | traits< T, typename std::enable_if< std::is_base_of<::efl::eina::basic_string_view< char >, T >::value >::type > (efl::eolian)
_inlist_node (efl::eina) | traits< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > (efl::eolian)
_Lexer_Ctx | tuple_contains (efl::eina::_mpl)
_libv8_callback_info_test (efl::eina::js) | tuple_contains< T, std::tuple< Ts... > > (efl::eina::_mpl)
_libv8_isolate_test (efl::eina::js) | tuple_find (efl::eina::_mpl)
_mutable_range_template (efl::eina) | tuple_find< T, std::tuple< T, Ts... > > (efl::eina::_mpl)
_nonpod_inarray (efl::eina) | tuple_find< T, std::tuple< T1, Ts... > > (efl::eina::_mpl)
_Old_Edje_External_Directory | tuple_transform (efl::eina::_mpl)
_Old_Edje_File | tuple_transform< std::tuple< T... >, Transform > (efl::eina::_mpl)
_Old_Edje_Font_Directory | _libv8_callback_info_test< T, typename std::enable_if<!std::is_same< decltype(&T::SetCallHandler), void(T::*)(_libv8_invocation_callback, v8::Handle< v8::Value >)>::value >::type (efl::eina::js)
_Old_Edje_Image_Directory | _libv8_callback_info_test< T, typename std::enable_if< std::is_same< decltype(&T::SetCallHandler), void(T::*)(_libv8_invocation_callback, v8::Handle< v8::Value >)>::value >::type (efl::eina::js)
_Old_Edje_Part | extension_inheritance< concrete >::type (efl::eo::detail)

A | B | C | D | E | F | G | H | I | J | L | M | N | O | P | Q | R | S | T | U | V | W | X | Z | _